summaryrefslogtreecommitdiff
path: root/.pik
diff options
context:
space:
mode:
Diffstat (limited to '.pik')
-rw-r--r--.pik/build.sh5
-rw-r--r--.pik/install.sh8
2 files changed, 9 insertions, 4 deletions
diff --git a/.pik/build.sh b/.pik/build.sh
index 3b12060..c07ef97 100644
--- a/.pik/build.sh
+++ b/.pik/build.sh
@@ -1,5 +1,4 @@
#!/usr/bin/env bash
-# build uwu
-echo "$@"
+# build pik
CGO_ENABLED=0 go build -v "$@" .
-echo "Congratulations!"
+echo "Congratulations! You just built $(./pik --version)"
diff --git a/.pik/install.sh b/.pik/install.sh
index 117fcc6..0b23681 100644
--- a/.pik/install.sh
+++ b/.pik/install.sh
@@ -11,4 +11,10 @@ if [ -f "$DEST" ] ; then
fi
go build -o "$DEST" "$@" .
-echo "congratulations!" \ No newline at end of file
+
+if [[ $PATH != *"$DEST_FOLDER"* ]] ; then
+ echo "installed pik but $DEST_FOLDER is not in \$PATH"
+ exit 1
+fi
+
+echo "congratulations! You are now using pik $(pik --version)" \ No newline at end of file